- [HTTP request](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#body.ListConversationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#try-it)

Returns the list of all conversations.

### HTTP request

Choose an endpoint:
global   
`GET https://dialogflow.googleapis.com/v3beta1/{parent=projects/*/locations/*/agents/*}/conversations`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`GET https://{endpoint}/v3beta1/{parent=projects/*/locations/*/agents/*}/conversations`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The agent to list all conversations for. Format: `projects/<ProjectID>/locations/<LocationID>/agents/<AgentID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dialogflow.conversations.list` |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. The filter string. Supports filter by createTime, metrics.has_end_interaction, metrics.has_live_agent_handoff, intents.display_name, pages.display_name and flows.display_name. Timestamps expect an \[RFC-3339\]\[https://datatracker.ietf.org/doc/html/rfc3339\] formatted string (e.g. 2012-04-21T11:30:00-04:00). UTC offsets are supported. Some examples: 1. By create time: createTime \> "2022-04-21T11:30:00-04:00" 2. By intent display name: intents.display_name : "billing" 3. By end interaction signal: metrics.has_end_interaction = true |
| `pageSize` | `integer` Optional. The maximum number of items to return in a single page. By default 100 and at most 1000. |
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous list request. |

### Request body

The request body must be empty.

### Response body

The response message for \[Conversations.ListConversations\]\[\].

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "conversations": [ { object (`https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations#Conversation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `conversations[]` | ``object (`https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations#Conversation`)`` The list of conversations. There will be a maximum number of items returned based on the `https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3beta1/projects.locations.agents.conversations/list#body.QUERY_PARAMETERS.page_size` field. The returned conversations will be sorted by startTime in descending order (newest conversation first). |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).